Bug 63409 - "Not implemented reached" when chrome tries to browser plugin
Summary: "Not implemented reached" when chrome tries to browser plugin
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-11 02:26 UTC by Elton Carvalho
Modified: 2014-03-09 16:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Elton Carvalho 2013-04-11 02:26:26 UTC
The browser plugin cannot be loaded in chromium, prompting the error
"Not implemented reached in bool webkit::npapi::WebPluginDelegateImpl::WindowedCreatePlugin() windowed plugin but without xembed. See http://code.google.com/p/chromium/issues/detail?id=38229"

Referred chromium bug and related issues mention that "The plugin should advertise that it uses xembed." [
see https://code.google.com/p/chromium/issues/detail?id=43941#c2 ]
Comment 1 bfoman (inactive) 2014-03-08 23:10:25 UTC
Doesn't sound like LibreOffice issue...
Marking as RESOLVED INVALID.
Do not hesitate to reopen in case of mistriage.
Comment 2 Elton Carvalho 2014-03-09 15:23:59 UTC
(In reply to comment #1)
> Doesn't sound like LibreOffice issue...
> Marking as RESOLVED INVALID.
> Do not hesitate to reopen in case of mistriage.

According to the chromium bug linked in the report, the condition appears because the libreoffice browser plugin does not advertise that it uses xembed. Coding the plugin such that it advertises it uses a resource is a LibreOffice issue, no?

Or is the browser plugin independent of LibreOffice and I should report the bug somewhere else?
Comment 3 bfoman (inactive) 2014-03-09 15:54:18 UTC
Seems Google decided to abandon NPAPI plugins in their browser - see http://blog.chromium.org/2013/09/saying-goodbye-to-our-old-friend-npapi.html.
So it is not our bug that the current plugin doesn't work in Chrome anymore.
Comment 4 Elton Carvalho 2014-03-09 16:09:23 UTC
Oh, good point.

So a feature-request bug asking to a Native messaging API ( http://developer.chrome.com/extensions/messaging#native-messaging ) plugin for example would be a better solution, I guess. I'll check if there's anything like that or submit one. 

Thanks.